# OBGFileScanner Class Reference

Helper for scanning for files with GRF as extension. More...

Inheritance diagram for OBGFileScanner:

## Public Member Functions
bool | AddFile (const char *filename, size_t basepath_length)
| Try to add a graphics set with the given filename.
## Static Public Member Functions
static uint | DoScan ()
| Do the scan for OBGs.

## Detailed Description

Helper for scanning for files with GRF as extension.

Definition at line 438 of file gfxinit.cpp.

## Member Function Documentation

bool OBGFileScanner::AddFile | ( | const char * | filename,
|  | size_t | basepath_length |
| ) |  |  | `[virtual]`

Try to add a graphics set with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a relative DATA_DIR filename

Returns:
  true if the file is added.

Implements FileScanner.

Definition at line 456 of file gfxinit.cpp.

References FillGraphicsSetDetails(), GraphicsSet::found_grfs, IniFile::LoadFromDisk(), GraphicsSet::name, GraphicsSet::next, GraphicsSet::shortname, and GraphicsSet::version.

static uint OBGFileScanner::DoScan | ( |  | ) | `[inline, static]`

Do the scan for OBGs.

Definition at line 443 of file gfxinit.cpp.

References DATA_DIR, and FileScanner::Scan().

Referenced by FindGraphicsSets().

The documentation for this class was generated from the following file:

- src/gfxinit.cpp